E-Samsat

Inquiry

API to inquiry E-Samsat.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
ESAMSAT.JABAR9658548523560000Success
ESAMSAT.JABAR9658548523560001Inquiry - Invoice Has Been Paid
ESAMSAT.JABAR9658548523560014Inquiry - Incorrect Destination Number
ESAMSAT.JABAR9658548523560103Inquiry - Time Out
ESAMSAT.JABAR9658548523561037Payment - Payment Failed
ESAMSAT.JABAR9658548523561039Payment - Pending / transaction in process
ESAMSAT.JABAR9658548523561105Payment - MISC Error / Biller System Error
ESAMSAT.JABAR965854852356XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringESAMSAT payment codeYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
nomor_identitasStringRegistered identity numberYes

A thing to know Here is the step to get ESAMSAT payment code :

  1. Download Samolnas apps
  2. Reqister and get payment code

{
  "commands"        : "inq-pasca",
  "username"        : "123123123",
  "code"            : "ESAMSAT.JABAR",
  "hp"              : "9658548523560000",
  "ref_id"          : "978994691278",
  "sign"            : "6c6a046a14c444e44cfab5e4bbb01b01",
  "nomor_identitas" : "0212502110170100"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail